
local MakePlayerCharacter = require "prefabs/player_common"

local start_inv = 
{
	"lureplantbulb",
	"plantmeat_cooked",
	"plantmeat_cooked",
}

local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

        Asset( "ANIM", "anim/waard.zip" ),
}
local prefabs = {}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "nosound"
	
		inst.talksoundoverride = "dontstarve/creatures/eyeplant/eye_bite"
		inst.hurtsoundoverride = "dontstarve/creatures/eyeplant/eye_bite"
		inst.deathsoundoverride = "dontstarve/creatures/eyeplant/eye_bite"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wilson.png" )
		inst.components.talker.colour = Vector3(.3, .2, 0, 0)

	inst.components.health:SetMaxHealth(150)
	inst.components.health.canheal = true
		
	inst.components.sanity.max = 100
	inst.components.sanity.ignore = false
	inst.components.sanity.night_drain_mult = 1.2
	inst.components.sanity.neg_aura_mult = 1
	
	inst.components.hunger.max = 150
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE)	
	
	inst.components.eater.strongstomach = false
	inst.components.eater.ignoresspoilage = true
	
		local nest_recipe = Recipe("lureplantbulb", {Ingredient("plantmeat", 1), Ingredient("cutgrass", 15), Ingredient("butterfly", 10)}, RECIPETABS.TOWN, TECH.NONE)
	nest_recipe.sortkey = 1
	STRINGS.RECIPE_DESC.LUREPLANTBULB = "Get a little help from the earth."
end

return MakePlayerCharacter("waard", prefabs, assets, fn, start_inv)
